libopenmpt 0.5.0-pre.5+r11801 cross-platform C++ and C library to decode tracked music files

Macros
libopenmpt_version.h File Reference

Go to the source code of this file.

## Macros
#define | OPENMPT_API_VERSION_MAJOR 0
| libopenmpt major version number More...
#define | OPENMPT_API_VERSION_MINOR 5
| libopenmpt minor version number More...
#define | OPENMPT_API_VERSION_PATCH 0
| libopenmpt patch version number More...
#define | OPENMPT_API_VERSION_PREREL "-pre.5"
| libopenmpt pre-release tag More...
#define | OPENMPT_API_VERSION_IS_PREREL 1
| libopenmpt pre-release flag More...
#define | OPENMPT_API_VERSION_MAKE(major, minor, patch) (((major)<<24)|((minor)<<16)|((patch)<<0))
| libopenmpt version number as a single integer value More...
#define | OPENMPT_API_VERSION OPENMPT_API_VERSION_MAKE(OPENMPT_API_VERSION_MAJOR, OPENMPT_API_VERSION_MINOR, OPENMPT_API_VERSION_PATCH)
| libopenmpt API version number More...
#define | OPENMPT_API_VERSION_AT_LEAST(major, minor, patch) (OPENMPT_API_VERSION >= OPENMPT_API_VERSION_MAKE((major), (minor), (patch)))
| Check whether the libopenmpt API is at least the provided version. More...
#define | OPENMPT_API_VERSION_BEFORE(major, minor, patch) (OPENMPT_API_VERSION < OPENMPT_API_VERSION_MAKE((major), (minor), (patch)))
| Check whether the libopenmpt API is before the provided version. More...
#define | OPENMPT_API_VERSION_STRING OPENMPT_API_VERSION_STRINGIZE(OPENMPT_API_VERSION_MAJOR) "." OPENMPT_API_VERSION_STRINGIZE(OPENMPT_API_VERSION_MINOR) "." OPENMPT_API_VERSION_STRINGIZE(OPENMPT_API_VERSION_PATCH) OPENMPT_API_VERSION_PREREL